Bug 12278 - new HSSFDataFormat has to accept HSSFWorkbook as a parameter
Summary: new HSSFDataFormat has to accept HSSFWorkbook as a parameter
Status: CLOSED INVALID
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-03 22:34 UTC by Elvira Gurevich
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
altered source with constructor taking HSSFWorkbook as a parm (10.83 KB, text/plain)
2002-09-03 22:36 UTC, Elvira Gurevich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elvira Gurevich 2002-09-03 22:34:06 UTC
for the latest nightly build:

Cannot create new HSSFDataFormat using HSSF interface since it needs Workbook 
which is not available (or at least I could not find a way to get it) outside 
the package.

Best solution is to have a constructor taking HSSFWorkbook as a parameter.
(altered HSSFDataFormat source file attached). 

Another problem is that the HSSFDataFormat's static methods changed names 
(getFormat(..) to getBuiltinFormat(..))and are not compatible with the released 
version any longer.

Thanks,
Elvira.
Comment 1 Elvira Gurevich 2002-09-03 22:36:40 UTC
Created attachment 2908 [details]
altered source with constructor taking HSSFWorkbook as a parm
Comment 2 Shawn Laubach 2002-09-03 23:26:53 UTC
The proper way to get an instance is to call createDataFormat that is 
contained in the workbook.
Comment 3 Andy Oliver 2002-09-04 00:44:03 UTC
POI 2.0 does not claim backward compatibility with 1.5.  1.5 is a child of us
transitioning to apache so its a special exception to our release plan.

Basically:

X.0.x = major release
1.0.x and 2.0.x would be incompatible, you'll have to make some code changes.

1.0.1 and 1.0.0 should be COMPLETELY compatible from an API standpoint with only
bug fixes.

Except for 1.5, 1.X.0 is a development release of the 2.0 cycle.

Like I said 1.5 is a special release
1.5.0, 1.5.1 are *guaranteed* to be drop in replacements (guaranteed or your
money back ;-) )

I realize our versioning is a little sick.  It evolved from what sourceforge
used to MAKE us do.  

You really need to join the poi-user list and start talking this stuff out there
 or poi-dev if you are interested in development.  
Comment 4 Elvira Gurevich 2002-09-04 20:48:31 UTC
I am actually running 1.7.0-dev built 24-Jun-2002. It does not have these 
features. is this the same as what you call 1.5? 
The only downloads I found were the release(final 1.5.1), dev(latest 1.7.0), 
and nighly off http://jakarta.apache.org/builds/jakarta-poi/. 
what is the next released version which includes the features discussed here? 

about the mailing list: i sent my subscription in yesterday and still did not 
get anything back. should I write it up as another bug report?

thanks for your help.
Comment 5 Andy Oliver 2002-09-04 22:43:14 UTC
grab a nightly build or build from CVS.  If you're having trouble with
subscribing likely you're on a mail host which misbehaves per pier.  you can ask
pier@apache.org if this is the case but he's awful busy these days (and a
probably a little cranky).   you can also use gmane.org's mail->newsgroup bridge
(see gmane.org and the mail page I sent you earlier for details).

Please do not log apache infrastructure issues in the POI bugzilla as POI
committers have little access to fix them.